Power4Mac SuperBrain Widget SuperBrain SuperBrainXXL About · english deutsch

SuperBrain

System requirements

SuperBrain was only testet with MacOS X 10.3 Panther. However there was payed attention that it should run with every MacOS X version. I appreciate every feedback referring to this topic!